import { firebase, FirebaseApp } from '@nativescript/firebase-core';
let defaultInAppMessaging;
const fb = firebase();
Object.defineProperty(fb, 'inAppMessaging', {
    value: () => {
        if (!defaultInAppMessaging) {
            defaultInAppMessaging = new InAppMessaging();
        }
        return defaultInAppMessaging;
    },
    writable: false,
});
export class InAppMessaging {
    constructor() {
        if (defaultInAppMessaging) {
            return defaultInAppMessaging;
        }
        defaultInAppMessaging = this;
        this._native = FIRInAppMessaging.inAppMessaging();
    }
    get isAutomaticDataCollectionEnabled() {
        return this.native.automaticDataCollectionEnabled;
    }
    set isAutomaticDataCollectionEnabled(value) {
        this.native.automaticDataCollectionEnabled = value;
    }
    get isMessagesDisplaySuppressed() {
        return this.native.messageDisplaySuppressed;
    }
    set isMessagesDisplaySuppressed(value) {
        this.native.messageDisplaySuppressed = value;
    }
    triggerEvent(eventId) {
        this.native.triggerEvent(eventId);
    }
    get native() {
        return this._native;
    }
    get ios() {
        return this.native;
    }
    get app() {
        if (!this._app) {
            // @ts-ignore
            this._app = FirebaseApp.fromNative(this.native.app);
        }
        return this._app;
    }
}
//# sourceMappingURL=index.ios.js.map